Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002582TestLinkReportspublic2009-06-08 15:532010-10-09 08:01
Reportermhavlat 
Assigned ToJulian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 RC 1 
Summary0002582: Test result matrix shows wrong TC version
DescriptionCopied from forum. See Addit. Info.

Suggestion: Remove version column from the report.

Additional InformationSuppose a Test Case having Version 1 is Failed in the Build 1 and due to some change we modiy Test Case to Version 2. Now, we have executed the new version (Version2) of Test Case in the Build 2 and have status Pass.

When we view Test Report w.r.t same Test Case then it shows as below :

Test Case | Version | Build1 | Build 2

TC-1 | 2 (New Version) | Failed | Passed.

The above Report shows that New Version of Test Case is Failed in Build 1 and Passed in Build 2 But
Practically We HAVE NOT EXECUTED NEW VERSION of Test Case in Build 1.

According to me there should be a one more column in Test Report that should also reflect the Old Version. i.e. Test Report should be shows as below :

Test Case | Version | Build1 | Version | Build 2

TC-1 | 1 (Old Ver) | Failed | 2 (New Ver) | Passed.

The above Report clearly shows that Test Case having version1 was failed in Build 1 and Version 2 is Passed in Build 2.

Correct me if i am Wrong.

Note : [The Test Report should show as above only when a Test Case having multiple versions and that has been executed in mUtiple Builds not in the Case of when a Test Case having multiple version and executed in the same Build].
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0011361)
fman (administrator)
2010-09-14 21:45

Reminder sent to: Julian

please check if this can be set resolved
(0011362)
Julian (reporter)
2010-09-15 01:06

this should be resolved as tc version is now shown for each build.
(0011777)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2009-06-08 15:53 mhavlat New Issue
2010-09-14 21:45 fman Note Added: 0011361
2010-09-15 01:06 Julian Note Added: 0011362
2010-09-15 16:24 fman Status new => resolved
2010-09-15 16:24 fman Fixed in Version => 1.9 RC 1
2010-09-15 16:24 fman Resolution open => fixed
2010-09-15 16:24 fman Assigned To => Julian
2010-10-09 08:01 fman Note Added: 0011777
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker